GDB (xrefs)

Public Attributes | List of all members
_value_smob Struct Reference

## Public Attributes
gdb_smob | base
struct _value_smob * | next
struct _value_smob * | prev
struct value * | value
SCM | address
SCM | type
SCM | dynamic_type

## Detailed Description

Definition at line 37 of file scm-value.c.

## Member Data Documentation

## ◆ address

SCM _value_smob::address

Definition at line 55 of file scm-value.c.

Referenced by gdbscm_value_address(), and vlscm_make_value_smob().

## ◆ base

gdb_smob _value_smob::base

Definition at line 40 of file scm-value.c.

## ◆ dynamic_type

SCM _value_smob::dynamic_type

Definition at line 57 of file scm-value.c.

Referenced by gdbscm_value_dynamic_type(), and vlscm_make_value_smob().

## ◆ next

struct _value_smob* _value_smob::next

Definition at line 45 of file scm-value.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), gdbscm_preserve_values(), vlscm_forget_value_smob(), vlscm_make_value_smob(), and vlscm_remember_scheme_value().

## ◆ prev

struct _value_smob* _value_smob::prev

Definition at line 46 of file scm-value.c.

Referenced by vlscm_forget_value_smob(), vlscm_make_value_smob(), and vlscm_remember_scheme_value().

## ◆ type

SCM _value_smob::type

Definition at line 56 of file scm-value.c.

Referenced by gdbscm_value_type(), and vlscm_make_value_smob().

## ◆ value

struct value* _value_smob::value

Definition at line 48 of file scm-value.c.

Referenced by gdbscm_history_append_x(), gdbscm_preserve_values(), gdbscm_value_address(), gdbscm_value_call(), gdbscm_value_dereference(), gdbscm_value_dynamic_type(), gdbscm_value_fetch_lazy_x(), gdbscm_value_field(), gdbscm_value_lazy_p(), gdbscm_value_optimized_out_p(), gdbscm_value_print(), gdbscm_value_referenced_value(), gdbscm_value_subscript(), gdbscm_value_to_bool(), gdbscm_value_to_bytevector(), gdbscm_value_to_integer(), gdbscm_value_to_lazy_string(), gdbscm_value_to_real(), gdbscm_value_to_string(), gdbscm_value_type(), vlscm_do_cast(), vlscm_equal_p_value_smob(), vlscm_free_value_smob(), vlscm_make_value_smob(), vlscm_print_value_smob(), vlscm_scm_from_value(), and vlscm_scm_to_value().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-value.c